<?php
$url=$_GET['url'];
$url = 'http://v.17173.com/v_102_609/MTkxMjk0NDE.html';
if(strpos($url,'17173.com')){
	ipc17173($url);
	}	
function ipc17173($url){
$c=curl($url);
preg_match('|videoId: (.*),|U',$c,$vid);
$jurl="http://v.17173.com/api/video/vInfo/id/$vid[1]";
$con=curl($jurl);
$json=json_decode($con,true);
 foreach ($json[data][splitInfo][1][info] as $val)
 {
 if ($i==0 )
 {
 $wd.=$val[url][1];
 }else
 {
 $wd.="|".$val[url][1];
 }
 $i++;
 }
 $xmls = '<ckplayer><flashvars>{h->4}</flashvars>';
 $xmls .= "<video><file><![CDATA[".$wd."]]></file></video>";
 $xmls .= '</ckplayer>';
 echo $xmls; 
}
function curl($url){
         $curl = curl_init();
         curl_setopt($curl,CURLOPT_URL,$url);
         curl_setopt($curl,CURLOPT_RETURNTRANSFER,1);
         curl_setopt($curl,CURLOPT_CONNECTTIMEOUT,10);
         $src = curl_exec($curl);
         curl_close($curl);    
         return $src;
}
?>